Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 202713 - [71cat] FX platform not recognized
[71cat] FX platform not recognized
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Platform
7.1
PC Windows XP
: P3 (vote)
: 7.1
Assigned To: Anton Chechel
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 07:48 UTC by muellermi
Modified: 2011-11-16 16:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
messages log (155.88 KB, application/octet-stream)
2011-09-27 07:49 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2011-09-27 07:48:07 UTC
Product Version = NetBeans IDE Dev (Build 201109260601)
Operating System = Windows XP version 5.1 running on x86
Java; VM; Vendor = 1.7.0
Runtime = Java HotSpot(TM) Client VM 21.0-b17

I wanted to perform a quick test on NetBeans' JavaFX support. Thus I downloaded JavaFX SDK 2.0.
Then, on my Win7 machine I could create a JavaFX rpoject (if I remember right, it had benn late ;-))
On my WinXP machine NB still alerts to install or add JavaFX Platform.
If I try to add a Java Platform, the JavaFX is not recognized. 
### I can't create any JavaFX app. ###
Comment 1 muellermi 2011-09-27 07:49:34 UTC
Created attachment 111222 [details]
messages log
Comment 2 Stepan Zebra 2011-09-27 08:31:13 UTC
Works for me with 201109260601 on Win XP x86. Both autodetection and manual setup.

How are you adding the platform?

If you have FX2 SDK installed in the default location, it should be detected during the creation of new JavaFX Application.
Comment 3 Stepan Zebra 2011-09-28 11:52:06 UTC
From e-mail communication, we found out that the detection failed because of non-english locale on target machine, which use localized name for program files directory.
To avoid these kind of failure, current autodetection should use the system variable to resolve the local name of program files directory, instead of the hard-coded one.
Comment 4 Anton Chechel 2011-09-29 23:52:19 UTC
fixed by Stepan's path
http://hg.netbeans.org/jet-main/rev/ec48181eef49
Comment 5 Stepan Zebra 2011-10-06 09:56:17 UTC
@muellermi: fix is integrated in trunk and available in daily build since 201110010601, can you please verify autodetection works on your XP machine with that or any later build?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo